Bug 506780 - Package Review: mux - GTK+ widgets for moblin
Package Review: mux - GTK+ widgets for moblin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nikolay Vladimirov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMoblin20 506833 507299
  Show dependency treegraph
 
Reported: 2009-06-18 12:28 EDT by Peter Robinson
Modified: 2009-06-24 16:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 16:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nikolay: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-18 12:28:53 EDT
SPEC: http://pbrobinson.fedorapeople.org/mux.spec
SRPM: http://pbrobinson.fedorapeople.org/mux-0.3-1.fc11.src.rpm

Mux: Moblin User eXperience. Gtk+ widgets for the Moblin UX.
Comment 1 Nikolay Vladimirov 2009-06-20 10:29:15 EDT
MUST:

    * rpmlint output: 0 errors, 0 warnings ( both srpm and binary rpm)
    * package name: OK
    * The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption: OK
    * Packaging Guidelines: OK
    * License: OK
    * The License field file matches the actual license: OK
    * License included in %doc: OK
    * The spec file must be written in American English: OK
    * The spec file for the package MUST be legible: OK
    * The sources used to build the package must match the upstream source: OK
    * The package MUST successfully compile and build into binary rpms on at least one primary architecture: OK ( on i586)
    * All build dependencies must be listed in BuildRequires: OK
    * The spec file MUST handle locales properly: N/A ( no locales)
    * Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun: OK
    * A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory: OK
    * A Fedora package must not list a file more than once in the spec file's %files listings: OK
    * Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line: OK
    * Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT): OK
    * Each package must consistently use macros: OK
    * The package must contain code, or permissable content: OK
    * No need for -doc subpackage: OK
    * Header files must be in a -devel package: OK
    * Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability): OK
    * If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package: OK
    * In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} : OK
    * Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built: OK
    * At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT): OK
    * All filenames in rpm packages must be valid UTF-8 : OK



SHOULD Items:
    * The reviewer should test that the package builds in mock: OK (for i586 rawhide)

It's all OK.

APPROVED
Comment 2 Peter Robinson 2009-06-21 09:53:45 EDT
New Package CVS Request
=======================
Package Name: mux
Short Description: GTK+ widgets for moblin
Owners: pbrobinson
Branches: F-11 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-06-22 22:23:14 EDT
cvs done.
Comment 4 Peter Robinson 2009-06-24 06:42:45 EDT
built and on its way to rawhide.
Comment 5 Peter Robinson 2009-06-24 16:35:00 EDT
Done. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.